> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Attachment



## OpenAPI

````yaml Commerce post /attachments
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /attachments:
    parameters:
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    post:
      summary: Create a new Attachment
      operationId: post-attachment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewAttachment'
      responses:
        '200':
          description: Attachment Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Attachment'
                  success:
                    type: boolean
        '400':
          description: Missing Required Information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 400
                      message: Missing Required Information
                    success: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    NewAttachment:
      $id: NewAttachment
      required:
        - data
        - type
        - name
      title: Attachment
      type: object
      properties:
        id:
          type: string
          description: Attachment is uniquely identified by id
        data:
          type: object
          description: Attachment has Data
        type:
          type: string
          minLength: 1
          description: Attachment has Attachment Type
        name:
          type: string
          description: Attachment has Name
    Attachment:
      $id: Attachment
      required:
        - id
        - data
        - type
        - name
      title: Attachment
      type: object
      properties:
        id:
          type: string
          description: Attachment is uniquely identified by id
        data:
          type: object
          description: Attachment has Data
        type:
          type: string
          minLength: 1
          description: Attachment has Attachment Type
        name:
          type: string
          description: Attachment has Name
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean

````